Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.console
Class MessageConsoleStream

    java.lang.Object
      org.eclipse.ui.console.MessageConsoleStream

public class MessageConsoleStream
extends Object

Used to write messages to a message console. A message console may have more than one stream connected to it. Each stream may be displayed in a different color.

Since:
  3.0

Constructor Summary
`MessageConsoleStream(MessageConsole console)` Constructs a new stream connected to the given console.

Method Summary
`Color` | `getColor()` Returns the color of this message stream, or `null` if default.
`MessageConsole` | `getConsole()` Returns the console this stream is connected to.
`void` | `print(String message)` Appends the specified message to this stream.
`void` | `println()` Appends a line separator string to this stream.
`void` | `println(String message)` Appends the specified message to this stream, followed by a line separator string.
`void` | `setColor(Color color)` Sets the color of this message stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageConsoleStream

    public MessageConsoleStream(MessageConsole console)

  Constructs a new stream connected to the given console.

Parameters:
  `console` - the console to write messages to

Method Detail

### print

    public void print(String message)

  Appends the specified message to this stream.

  Parameters:
    `message` - message to append

### println

    public void println()

  Appends a line separator string to this stream.

### println

    public void println(String message)

  Appends the specified message to this stream, followed by a line separator string.

  Parameters:
    `message` - message to print

### setColor

    public void setColor(Color color)

  Sets the color of this message stream

  Parameters:
    `color` - color of this message stream, possibly `null`

### getColor

    public Color getColor()

  Returns the color of this message stream, or `null` if default.

  Returns:
    the color of this message stream, or `null`

### getConsole

    public MessageConsole getConsole()

  Returns the console this stream is connected to.

  Returns:
    the console this stream is connected to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.